//
//  CCList.h
//  iCloudDemoMOBC2013
//
//  Created by Gianluca Tranchedone on 20/10/2013.
//  Copyright (c) 2013 Cocoa Beans GT Limited. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class CCItem;

@interface CCList : NSManagedObject

@property (nonatomic, retain) NSString * title;
@property (nonatomic, retain) NSSet *items;

@end

@interface CCList (CoreDataGeneratedAccessors)

- (void)addItemsObject:(CCItem *)value;
- (void)removeItemsObject:(CCItem *)value;
- (void)addItems:(NSSet *)values;
- (void)removeItems:(NSSet *)values;

@end
